#ifndef OCA_MACRO_H
#define OCA_MACRO_H

// These are the general OCA macros. Don't edit them!

//================================================================================
/* Short for same-property rule
 */

# define _m(A)		inputFile.A==A

//================================================================================
/* Definition of general grouping rules
 * don't modify the names of the grouping rules
 */
# define GRP_RULE_SINGLE	ARCFILE
# define GRP_RULE_TPL_A		TPL.START as (TPL_A,tpl) // first tag: name of rule; second: name tag
# define GRP_RULE_TPL_D		TPL.START,OCS.CON.QUAD as (TPL_D,tpl) 
# define GRP_RULE_TPL_I		TPL.START as (TPL_I,tpi) 
# define GRP_RULE_ALL		DPR.TYPE as (GRP_ALL,all)
# define GRP_RULE_COMB		DPR.TYPE as (COMB_P,cmb)

//================================================================================
/* Time match rules
 */
//# define CLOSEST	(MJD-OBS < inputFile.MJD-OBS or MJD-OBS >= inputFile.MJD-OBS)
# define NEXT		MJD-OBS > inputFile.MJD-OBS
# define PREVIOUS	MJD-OBS < inputFile.MJD-OBS
# define ATTACHED	OBS.ID==inputFile.OBS.ID
# define ALL		(inputFile.MJD-OBS - MJD-OBS) < 0.5 and (inputFile.MJD-OBS - MJD-OBS) > -0.5

#endif
